<!doctype html>
<html lang="en">

<head>
  <title>Title</title>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

  <!-- font awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css"
    integrity="sha512-MV7K8+y+gLIBoVD59lQIYicR65iaqukzvf/nwasF0nqhPay5w/9lJmVM2hMDcnK1OnMGCdVK+iQrJ7lzPJQd1w=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />

  <!-- font rubik vinyl -->
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Rubik+Vinyl&display=swap" rel="stylesheet">
  <!-- animate -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
  <!-- my css -->
  <link rel="stylesheet" href="./index.css">
</head>

<body>
  <div class="baiTapMang">
    <div class="container py-5">
      <h2>Bài tập mảng</h2>
      <div class="form-group input-group">
        <label for="">Nhập số x vào mảng A</label>
        <input type="number" class="form-control" id="so-x" placeholder="x">
        <button onclick="themSo()">Thêm số</button>
      </div>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-arr"></span>
      </div>
    </div>
  </div>

  <div class="bai1">
    <div class="container py-1">
      <h4>1. Tổng số dương</h4>
      <button onclick="bai1()">Tính tổng</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b1"></span>
      </div>
    </div>
  </div>

  <div class="bai2">
    <div class="container py-4">
      <h4>2. Đếm số dương</h4>
      <button onclick="bai2()">Đếm số</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b2"></span>
      </div>
    </div>
  </div>

  <div class="bai3">
    <div class="container py-4">
      <h4>3. Tìm số nhỏ nhất</h4>
      <button onclick="bai3()">Tìm số nhỏ nhất</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b3"></span>
      </div>
    </div>
  </div>

  <div class="bai4">
    <div class="container py-4">
      <h4>4. Tìm dương số nhỏ nhất</h4>
      <button onclick="bai4()">Tìm số dương nhỏ nhất</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b4"></span>
      </div>
    </div>
  </div>

  <div class="bai5">
    <div class="container py-4">
      <h4>5. Tìm số chẵn cuối cùng</h4>
      <button onclick="bai5()">Tìm số chẵn</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b5"></span>
      </div>
    </div>
  </div>

  <div class="bai6">
    <div class="container py-4">
      <h4>6. Đổi chỗ</h4>
      <div class="form-group input-group">
        <input type="number" class="form-control" id="vi-tri-1" placeholder="Nhập vị trí 1">
        <input type="number" class="form-control" id="vi-tri-2" placeholder="Nhập vị trí 2">
      </div>
      <button onclick="bai6()">Đổi chỗ</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b6"></span>
      </div>
    </div>
  </div>

  <div class="bai7">
    <div class="container py-4">
      <h4>7. Sắp xếp tăng dần</h4>
      <button onclick="bai7()">Sắp xếp</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b7"></span>
      </div>
    </div>
  </div>

  <div class="bai8">
    <div class="container py-4">
      <h4>8. Tìm số nguyên tố đầu tiên</h4>
      <button onclick="bai8()">Tìm số nguyên tố</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b8"></span>
      </div>
    </div>
  </div>

  <div class="bai9">
    <div class="container py-4">
      <h4>9. Đếm số nguyên</h4>
      <div class="form-group input-group">
        <label for="">Nhập số n vào mảng B</label>
        <input type="number" class="form-control" id="so-n" placeholder="n">
        <button onclick="themSoBai9()">Thêm số</button>
      </div>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-arr-b9"></span>
      </div>
      <button onclick="bai9()" class="mt-4">Đếm số nguyên</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b9"></span>
      </div>
    </div>
  </div>

  <div class="bai10">
    <div class="container py-4">
      <h4>10. So sánh số lượng số âm và dương</h4>
      <button onclick="bai10()">So sánh</button>
      <div class="result">
        <i class="fa fa-long-arrow-alt-right"></i>
        <span id="result-b10"></span>
      </div>
    </div>
  </div>

  <h1 class="my-5 animate__animated animate__bounceInUp wow">
    <i class="fa fa-snowflake fa-spin snow1 mx-2"></i>
    <i class="fa fa-snowflake fa-spin snow2 mx-2"></i>
    <i class="fa fa-snowflake fa-spin snow3 mx-2"></i>
    Merry Christmas
    <i class="fa fa-snowflake fa-spin snow3 mx-2"></i>
    <i class="fa fa-snowflake fa-spin snow2 mx-2"></i>
    <i class="fa fa-snowflake fa-spin snow1 mx-2"></i>
  </h1>



  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
    crossorigin="anonymous"></script>
  <!-- wow js -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/wow/1.1.2/wow.min.js"
    integrity="sha512-Eak/29OTpb36LLo2r47IpVzPBLXnAMPAVypbSZiZ4Qkf8p/7S/XRG5xp7OKWPPYfJT6metI+IORkR5G8F900+g=="
    crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script>
    new WOW().init();
  </script>
  <!-- my script -->
  <script src="./index.js"></script>
</body>

</html>